%define upstream_name    File-Lockf
%define upstream_version 0.25

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    %{upstream_name} module for perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    %{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
File-Lockf module for perl

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install
%make_install

%files
%defattr(444,root,root,755)
%doc COPYRIGHT MYMETA.yml README
%dir %{perl_vendorarch}/File
%{perl_vendorarch}/File/lockf.pm
%dir %{perl_vendorarch}/auto/File
%dir %{perl_vendorarch}/auto/File/lockf
%{perl_vendorarch}/auto/File/lockf/lockf.so
%{_mandir}/*/*


%changelog
* Wed Jun 17 2020 umeabot <umeabot> 0.250.0-5.mga8
+ Revision: 1594792
- Rebuild for perl 5.32

* Sat Feb 15 2020 umeabot <umeabot> 0.250.0-4.mga8
+ Revision: 1529017
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Mon Aug 26 2019 tv <tv> 0.250.0-3.mga8
+ Revision: 1432901
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.250.0-2.mga7
+ Revision: 1292846
- Mageia 7 Mass Rebuild

* Sat Aug 25 2018 shlomif <shlomif> 0.250.0-1.mga7
+ Revision: 1253939
- update to 0.25

* Sun Aug 05 2018 pterjan <pterjan> 0.200.0-19.mga7
+ Revision: 1247474
- Fix file list

* Mon Oct 02 2017 tv <tv> 0.200.0-18.mga7
+ Revision: 1164349
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.200.0-17.mga7
+ Revision: 1148890
- Rebuild for perl ABI changes

* Fri Jul 21 2017 tv <tv> 0.200.0-16.mga7
+ Revision: 1126234
- rebuild for perl 5.26

* Fri Jul 21 2017 tv <tv> 0.200.0-15.mga7
+ Revision: 1126195
- rebuild for perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.200.0-14.mga6
+ Revision: 1027347
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.200.0-13.mga6
+ Revision: 957323
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.200.0-12.mga6
+ Revision: 844869
- rebuild for soname-ifed perl

* Tue Jun 23 2015 tv <tv> 0.200.0-11.mga6
+ Revision: 841057
- rebuild for perl-5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.200.0-10.mga5
+ Revision: 742855
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.200.0-9.mga5
+ Revision: 684739
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.200.0-8.mga5
+ Revision: 631197
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.200.0-7.mga4
+ Revision: 524079
- Mageia 4 Mass Rebuild

* Wed May 29 2013 tv <tv> 0.200.0-6.mga4
+ Revision: 429970
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 0.200.0-5.mga3
+ Revision: 367267
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.200.0-4.mga3
+ Revision: 250632
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.200.0-3.mga2
+ Revision: 104270
- Rebuild for perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 0.200.0-2.mga1
+ Revision: 30357
- mageia rebuild
- imported package perl-File-Lockf


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 0.200.0-2mdv2011.0
+ Revision: 555829
- rebuild for perl 5.12

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.200.0-1mdv2010.0
+ Revision: 403172
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.20-12mdv2009.0
+ Revision: 256939
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 0.20-10mdv2008.1
+ Revision: 152078
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Aug 20 2007 Thierry Vignaud <tv@mandriva.org> 0.20-9mdv2008.0
+ Revision: 67613
- use %%mkrel


* Tue Nov 23 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.20-9mdk
- rebuild for new perl

* Thu Sep 23 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.20-8mdk
- rebuild

* Sun Aug 17 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.20-7mdk
- rebuild for new perl
- rm -rf $RPM_BUILD_ROOT in %%install, not %%prep
- drop $RPM_OPT_FLAGS, noarch..
- use %%makeinstall_std macro

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.20-6mdk
- rebuild for new auto{prov,req}

* Thu May 01 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.20-5mdk
- distlint error

* Fri Dec 20 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.20-4mdk
- remove buildarch i586

* Thu Jul 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.20-3mdk
- rebuild for new perl

* Tue Jun 04 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.20-2mdk
- submitted by Peter Chen <petechen@netilla.com>

* Tue Jun 04 2002 Peter Chen <petechen@netilla.com> 0.20-1mdk
- 0.20

